"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDataStructureParser = exports.createPrimitiveParser = void 0;
const option_1 = require("../option");
const createPrimitiveParser = ({ t, expectedType, isMatchingType, }) => (0, option_1.createOptions)({
    t: () => t,
    expectedType,
    isMatchingType,
});
exports.createPrimitiveParser = createPrimitiveParser;
const createDataStructureParser = ({ t, expectedType, actualType, }) => (0, option_1.createOptions)({
    t,
    expectedType,
    isMatchingType: () => actualType === expectedType,
});
exports.createDataStructureParser = createDataStructureParser;
//# sourceMappingURL=parser.js.map